<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Configuraciones;
class ContactoController extends Controller
{
    public function index(){

    	$contacto = Configuraciones::where('id','=',1)
    		->orWhere('id','=',2)
    		->orWhere('id','=',3)
    		->orWhere('id','=',4)
    		->orWhere('id','=',5)
    		->orWhere('id','=',6)
    		->get()
    	;
    	return view('admin.configuraciones.contacto',compact('contacto'));
    }

    public function update(Request $request){

    	$configuraciones = Configuraciones::find(1);
    	$configuraciones->data = $request->telefono;
    	$configuraciones->save();

    	$configuraciones = Configuraciones::find(2);
    	$configuraciones->data = $request->email;
    	$configuraciones->save();

    	$configuraciones = Configuraciones::find(3);
    	$configuraciones->data = $request->facebook;
    	$configuraciones->save();

    	$configuraciones = Configuraciones::find(4);
    	$configuraciones->data = $request->twitter;
    	$configuraciones->save();

    	$configuraciones = Configuraciones::find(5);
    	$configuraciones->data = $request->instagram;
    	$configuraciones->save();

    	$configuraciones = Configuraciones::find(6);
    	$configuraciones->data = $request->youtube;
    	$configuraciones->save();

    	return redirect()->route('contacto.index')->with('success','Actualizado')->with('mensaje','Contactos actualizada con éxito');

    }
}
